Package net.shibboleth.profile.installablecomponent

# Class InstallableComponentInfo.VersionInfo

java.lang.Object
net.shibboleth.profile.installablecomponent.InstallableComponentInfo.VersionInfo

Enclosing class:
  InstallableComponentInfo

public static class InstallableComponentInfo.VersionInfo extends Object
Encapsulation of the information about a given IdP version.

## Field Summary

Fields
Modifier and Type
Field
Description
`private final InstallableComponentVersion`
`maxSupported`
Maximum version - this version is NOT SUPPORTED.
`private final InstallableComponentVersion`
`minSupported`
Minimum version - this version IS supported.
`private final InstallableComponentSupport.SupportLevel`
`supportLevel`
support level.

## Constructor Summary

Constructors
Constructor
Description
`VersionInfo(InstallableComponentVersion max, InstallableComponentVersion min, InstallableComponentSupport.SupportLevel support)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`InstallableComponentVersion`
`getMaxSupported()`
get Maximum version - this version is NOT SUPPORTED.
`InstallableComponentVersion`
`getMinSupported()`
get Minimum (IdP) version - this version IS supported.
`InstallableComponentSupport.SupportLevel`
`getSupportLevel()`
get support level.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### maxSupported

@Nonnull private final InstallableComponentVersion maxSupported
Maximum version - this version is NOT SUPPORTED.

### minSupported

@Nonnull private final InstallableComponentVersion minSupported
Minimum version - this version IS supported.

### supportLevel

@Nonnull private final InstallableComponentSupport.SupportLevel supportLevel
support level.

## Constructor Details

### VersionInfo

public VersionInfo(@Nonnull InstallableComponentVersion max, @Nonnull InstallableComponentVersion min, @Nonnull InstallableComponentSupport.SupportLevel support)
Constructor.

Parameters:
  `max` - support level
  `min` - support level
  `support` - support level

## Method Details

### getMaxSupported

@Nonnull public InstallableComponentVersion getMaxSupported()
get Maximum version - this version is NOT SUPPORTED.

Returns:
  Returns the maxSupported.

### getMinSupported

@Nonnull public InstallableComponentVersion getMinSupported()
get Minimum (IdP) version - this version IS supported.

Returns:
  Returns the minSupported.

### getSupportLevel

@Nonnull public InstallableComponentSupport.SupportLevel getSupportLevel()
get support level.

Returns:
  Returns the supportLevel.